# objprops.h File Reference

Go to the source code of this file.

## Enumerations

enum

{
GCU_PROP_ID, GCU_PROP_POS2D, GCU_PROP_POS3D, GCU_PROP_DOC_FILENAME,
GCU_PROP_DOC_MIMETYPE, GCU_PROP_DOC_TITLE, GCU_PROP_DOC_COMMENT, GCU_PROP_DOC_CREATOR,
GCU_PROP_DOC_CREATION_TIME, GCU_PROP_DOC_MODIFICATION_TIME, GCU_PROP_THEME_BOND_LENGTH, GCU_PROP_ATOM_SYMBOL,
GCU_PROP_ATOM_Z, GCU_PROP_ATOM_CHARGE, GCU_PROP_BOND_BEGIN, GCU_PROP_BOND_END ,
GCU_PROP_BOND_TYPE, GCU_PROP_TEXT_TEXT, GCU_PROP_TEXT_MARKUP, GCU_PROP_TEXT_ALIGNMENT,
GCU_PROP_TEXT_JUSTIFICATION, GCU_PROP_FRAGMENT_ATOM_START, GCU_PROP_FRAGMENT_ATOM_ID, GCU_PROP_ARROW_COORDS,
GCU_PROP_ARROW_START_ID, GCU_PROP_ARROW_END_ID, GCU_PROP_REACTION_ARROW_TYPE
}

## Detailed Description

This file contains the list of symbolic Ids for objects properties as used in gcu::Object::GetProperty and gcu::Object::SetProperty in conjunction with serialization using the gcu::Loader class.

Definition in file objprops.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  GCU_PROP_ID | The unique Id of the object.
  GCU_PROP_POS2D | The position of an object in a 2D representation.
  GCU_PROP_POS3D | The position of an object in a 2D representation.
  GCU_PROP_DOC_FILENAME | The file name.
  GCU_PROP_DOC_MIMETYPE | The mime type.
  GCU_PROP_DOC_TITLE | The title of the document.
  GCU_PROP_DOC_COMMENT | A text added to the document as comment.
  GCU_PROP_DOC_CREATOR | Who created the file.
  GCU_PROP_DOC_CREATION_TIME | The date of file creation.
  GCU_PROP_DOC_MODIFICATION_TIME | The date of the last file modification.
  GCU_PROP_THEME_BOND_LENGTH | The default bond length.
  GCU_PROP_ATOM_SYMBOL | The symbol of an atom.
  GCU_PROP_ATOM_Z | The atomic number of an atom.
  GCU_PROP_ATOM_CHARGE | The charge of an atom.
  GCU_PROP_BOND_BEGIN | The Id of the atom at the first extremity of the bond.
  GCU_PROP_BOND_END | The Id of the atom at the last extremity of the bond.
  GCU_PROP_BOND_TYPE | The bond order.
  GCU_PROP_TEXT_TEXT | The text of a textual object.
  GCU_PROP_TEXT_MARKUP | The markup of a textual object.
  GCU_PROP_TEXT_ALIGNMENT | The alignment of a textual object.
  GCU_PROP_TEXT_JUSTIFICATION | The justification of a textual object.
  GCU_PROP_FRAGMENT_ATOM_START | The position in bytes of the bonded atom in a group of atoms.
  GCU_PROP_FRAGMENT_ATOM_ID | The Id of the bonded atom in a group of atoms.
  GCU_PROP_ARROW_COORDS | The 2D coordinates of the start and end points of the arrow in the order xstart, ystart, xend, yend, separated by white spaces.
  GCU_PROP_ARROW_START_ID | The Id of the object representing the reactants.
  GCU_PROP_ARROW_END_ID | The Id of the object representing the products.
  GCU_PROP_REACTION_ARROW_TYPE | The type of a reaction arrow ("double" for a reversible arrow).

Definition at line 33 of file objprops.h.